function normal		(shader, t_base, t_second, t_detail)
	shader:begin	("simple","simple")
			: fog	(true)
	shader:sampler	("s_base")      :texture	(t_base)
end

function l_spot		(shader, t_base, t_second, t_detail)
	shader:begin	("simple_spot","add_spot")
	  		: fog		(false)
			: zb 		(true,false)
			: blend		(true,blend.one,blend.one)
			: aref 		(true,0)
	shader:sampler	("s_base")    	:texture	(t_base)
	shader:sampler	("s_lmap")    	:texture	("internal\\internal_light_att")
			: clamp		()
			: f_linear 	()
			: project   	(true)
	shader:sampler	("s_att")    	:texture	("internal\\internal_light_attclip")
			: clamp		()
			: f_linear	()
end

function l_special	(shader, t_base, t_second, t_detail)
	shader:begin	("simple","simple")
	  		: fog		(false)
	shader:sampler	("s_base")      :texture	(t_base)
end
